Bug 213357 - lm_sensors problem
lm_sensors problem
Product: Fedora
Classification: Fedora
Component: lm_sensors (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-10-31 19:41 EST by Predrag Blagojevic
Modified: 2015-03-04 20:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-10 17:38:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Predrag Blagojevic 2006-10-31 19:41:16 EST
Description of problem: lm_sensors works with fc6xen kernel but not with plain
fc6 (2.6.18-1.2798.fc6 #1 SMP) kernel on the same system&hardware (Asus P4PE-X,
Intel 845PE, Intel P4 2,4GHz/512 Northwood/HyperThread, 512MB, Video ASUS V9180SE)

Version-Release number of selected component (if applicable):

How reproducible: 
See steps

Steps to Reproduce:
1. Install FC6. 
2. With xen kernel, sensors-detect properly detech hw & sensors works
3. When rebooted with plain kernel, sensors-detect & sensors are failing (Only
unsupported Nvidia sensor found)

Actual results:
# sensors-detect
 Sorry, no chips were detected.
 Either your sensors are not supported, or they are
 connected to an I2C bus adapter that we do not support.
 See doc/FAQ, doc/lm_sensors-FAQ.html, or
 (FAQ #4.24.3) for further information.
 If you find out what chips are on your board, see
 http://secure.netroedge.com/~lm78/newdrivers.html for driver status.

# sensors
Can't access procfs/sysfs file
Unable to find i2c bus information;
For 2.6 kernels, make sure you have mounted sysfs and libsensors
was compiled with sysfs support!
For older kernels, make sure you have done 'modprobe i2c-proc'!

Expected results:
< lots of hardware sensor info as with xen kernel>

Additional info:
sensors-detect worked for me with RHEL 3.x, 4.x and 2798.fc6xen, but for some
reason sensors-detect fails from 2798.fc6. When I try to load modules detected
in with xen kernel eg:
modprobe i2c-core
modprobe i2c-dev
modprobe i2c-i801
modprobe asb100
modprobe eeprom

sensors still shows error message as shown before.
Comment 1 Hans de Goede 2007-07-04 16:43:39 EDT

Short introduction, I'm a Fedora contributer and since I'm involved in
lm_sensors upstream, I've also become a co-maintainer of lm_sensors in Fedora.

I think your problem is that you lm_sensors is too old to work with newer kernels.

lm_sensors-2.10.1-1 is available from FC-6 updates.

You may also want to try and update your kernel.

Please let me know if this helps.
Comment 2 Hans de Goede 2007-07-10 14:48:26 EDT

I realize we (Fedora) have taken a long long time to respond, but now I would
really like to move forward with this bug. Can you please try with the latest
kernel and lm_sensors. If you no longer have the machine involved, then please
say so and I'll close this bug.

Comment 3 Predrag Blagojevic 2007-07-10 17:34:05 EDT
(In reply to comment #2)


I reported this bug almost year ago, and I strongly believe that it is gone by
now, especially because that was the very first FC6 release if I remember
correctly. Anyway, because I really appreciate Fedora's efforts, I can find my
old machine, install FC6, apply latest updates, and report you back if it helps
as soon as I find some time, ---OR--- you can close it if you want because that
MOBO is definitely thing of the past. You choose.

Best regards,
Comment 4 Hans de Goede 2007-07-10 17:38:56 EDT
Hi Predrag,

I think digging up the old machine and installing FC-6 et all is a a bit over
the top for something that is likely fixed, so I'll close this. If you ever dig
up the old machine for another reason it would be great if you could test this.
(testing with F-7 will be fine too).
Comment 5 Predrag Blagojevic 2007-07-22 09:34:03 EDT
Hi Hans,

I found my old machine: FC6 with buggy sensors was still there, untouched!

After kernel & sensors update (2.10.0 -> 2.10.1-1, 2.6.8-1.2849-fc6-SMP ->
latest) I can confirm that the asb100 bug is definitely gone.

Best Regards,

Note You need to log in before you can comment on or make changes to this bug.